当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : mplayer安装问题
帖子发表于 : 2009-04-19 11:14 

注册: 2007-10-20 11:55
帖子: 151
送出感谢: 0 次
接收感谢: 0 次
下列的软件包有不能满足的依赖关系:
mplayer: 依赖: libartsc0 (>= 1.5.0-1) 但却无法安装它
依赖: liblame0 (>= 3.97) 但却无法安装它
依赖: libopenal0a 但却无法安装它

怎么不能安装呢?


页首
 用户资料  
 
2 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-19 11:36 
头像

注册: 2007-10-23 12:54
帖子: 1688
送出感谢: 0 次
接收感谢: 13
aptitude install mplayer,apt-get 能力有限。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-19 21:48 

注册: 2007-10-20 11:55
帖子: 151
送出感谢: 0 次
接收感谢: 0 次
d123@dbewrf-desktop:~$ sudo aptitude install mplayer
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在读取扩展状态文件
正在初始化软件包状态... 完成
下列软件包是“破损”的:
mplayer
下列“新”软件包将被安装。
libcucul0{a} libfaac0{a} libggi-target-x{a} libggi2{a} libgii1{a}
libgii1-target-x{a} liblzo2-2{a} libsvga1{a} libx264-65{a}
libxvidcore4{a} mplayer-skins{a}
0 个软件包被升级,新安装 12 个, 0 个将被删除, 同时 0 个将不升级。
需要获取 4557kB/6427kB 的存档。 解包后将要使用 16.1MB。
下列软件包存在未满足的依赖关系:
mplayer: 依赖: libartsc0 (>= 1.5.0-1) 这是一个虚拟软件包。
依赖: liblame0 (>= 3.97) 这是一个虚拟软件包。
依赖: libopenal0a 这是一个虚拟软件包。
下列动作将解决这些依赖关系:

保持 下列软件包于其当前版本:
mplayer [未安装的]

分数是 -9879

是否接受该解决方案?[Y/n/q/?] y
将不会安装,升级或者删除任何软件包。
0 个软件包被升级,新安装 0 个, 0 个将被删除, 同时 0 个将不升级。
需要获取 0B 的存档。 解包后将要使用 0B。
您要继续吗?[Y/n/?] y
正在编辑扩展状态信息... 完成
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
正在读取扩展状态文件
正在初始化软件包状态... 完成

d123@dbewrf-desktop:~$


页首
 用户资料  
 
4 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-25 14:45 

注册: 2007-10-20 11:55
帖子: 151
送出感谢: 0 次
接收感谢: 0 次
求助啊


页首
 用户资料  
 
5 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-25 14:46 
头像

注册: 2009-04-25 14:41
帖子: 43
地址: Shanghai,China
系统: Ubuntu 12.04
送出感谢: 0 次
接收感谢: 0 次
ubuntu tweak


_________________
oh yeah


页首
 用户资料  
 
6 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-25 14:48 
头像

注册: 2007-05-06 2:46
帖子: 15634
送出感谢: 0 次
接收感谢: 2
代码:
deb http://packages.medibuntu.org/ jaunty free non-free


加这个源试试


页首
 用户资料  
 
7 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-25 15:40 

注册: 2007-10-20 11:55
帖子: 151
送出感谢: 0 次
接收感谢: 0 次
ubuntu tweak 就是不成功才试APT-GET的啊

另外 楼上的 我早就加了这个源了 ,没有用啊
难道要自己编译吗?自己编译是不是不好维护阿


页首
 用户资料  
 
8 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-26 15:00 

注册: 2009-04-13 12:41
帖子: 4
送出感谢: 0 次
接收感谢: 0 次
加上上面的那个源是可以的,测试ok


页首
 用户资料  
 
9 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-26 19:59 

注册: 2007-10-20 11:55
帖子: 151
送出感谢: 0 次
接收感谢: 0 次
老大啊,真的不行啊
命中 http://dl.google.com stable Release.gpg
命中 http://security.ubuntu.com jaunty-security Release.gpg
忽略 http://security.ubuntu.com jaunty-security/main Translation-zh_CN
命中 http://packages.medibuntu.org jaunty Release.gpg
忽略 http://packages.medibuntu.org jaunty/free Translation-zh_CN
忽略 http://packages.medibuntu.org jaunty/non-free Translation-zh_CN
命中 http://packages.medibuntu.org jaunty Release
忽略 http://security.ubuntu.com jaunty-security/restricted Translation-zh_CN

d123@dbewrf-desktop:~$ sudo apt-get upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
d123@dbewrf-desktop:~$ sudo apt-get install mplayer
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
mplayer: 依赖: libartsc0 (>= 1.5.0-1) 但却无法安装它
依赖: liblame0 (>= 3.97) 但却无法安装它
依赖: libopenal0a 但却无法安装它
E: 无法安装的软件包


页首
 用户资料  
 
10 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-26 23:57 

注册: 2007-06-01 13:09
帖子: 59
送出感谢: 0 次
接收感谢: 0 次
我按照提示装了下要装的,结果没注意,把gnome给删了。 :em02


页首
 用户资料  
 
11 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-04-29 21:09 

注册: 2007-10-20 11:55
帖子: 151
送出感谢: 0 次
接收感谢: 0 次
有人在吗?


页首
 用户资料  
 
12 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-05-01 13:24 

注册: 2007-09-23 9:39
帖子: 19
送出感谢: 0 次
接收感谢: 0 次
i have the same problem....
is there someone can offer some help?


页首
 用户资料  
 
13 楼 
 文章标题 : Re: mplayer安装问题
帖子发表于 : 2009-08-27 21:07 

注册: 2009-08-15 22:45
帖子: 35
送出感谢: 0 次
接收感谢: 0 次
我也出现了这样的问题,怎么解决阿? 请高手解答


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译